> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an integration

> Update provider settings or an editable configuration.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public patch /v1/integrations/{integrationId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: >-
    Manage agents, sessions, repositories, and organization resources with the
    Tembo API.
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/integrations/{integrationId}:
    patch:
      tags:
        - Integrations
      summary: Update an integration
      description: Update provider settings or an editable configuration.
      operationId: updateIntegration
      parameters:
        - in: path
          name: integrationId
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              anyOf:
                - type: object
                  properties:
                    settings:
                      type: object
                      properties:
                        defaultRepositoryId:
                          type:
                            - string
                            - 'null'
                          format: uuid
                        disallowedSlackChannelIds:
                          type: array
                          items:
                            type: string
                            minLength: 1
                            maxLength: 255
                          maxItems: 1000
                        instantSolve:
                          type: boolean
                        sentryEnvironments:
                          type: array
                          items:
                            type: string
                            minLength: 1
                            maxLength: 255
                          maxItems: 1000
                      additionalProperties: false
                  required:
                    - settings
                  additionalProperties: false
                - type: object
                  properties:
                    aws:
                      type: object
                      properties:
                        environment:
                          type: string
                          minLength: 1
                          maxLength: 200
                        roleArn:
                          type: string
                          minLength: 1
                          maxLength: 2048
                      required:
                        - environment
                        - roleArn
                      additionalProperties: false
                  required:
                    - aws
                  additionalProperties: false
                - type: object
                  properties:
                    postgres:
                      type: object
                      properties:
                        caCertificate:
                          type: string
                          maxLength: 1000000
                        connectionString:
                          type: string
                          minLength: 1
                          maxLength: 16384
                        instanceName:
                          type: string
                          minLength: 1
                          maxLength: 200
                      required:
                        - connectionString
                        - instanceName
                      additionalProperties: false
                  required:
                    - postgres
                  additionalProperties: false
                - type: object
                  properties:
                    atlassianServiceAccount:
                      type:
                        - object
                        - 'null'
                      properties:
                        clientId:
                          type: string
                          minLength: 1
                          maxLength: 4096
                        clientSecret:
                          type: string
                          minLength: 1
                          maxLength: 65536
                      required:
                        - clientId
                        - clientSecret
                      additionalProperties: false
                  required:
                    - atlassianServiceAccount
                  additionalProperties: false
      responses:
        '200':
          description: Update an integration
          content:
            application/json:
              schema:
                type: object
                properties:
                  createdAt:
                    type: string
                    format: date-time
                  displayName:
                    type: string
                  enabledAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  id:
                    type: string
                  lastSyncedAt:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  repositoryCount:
                    type: integer
                    minimum: 0
                  sourceCount:
                    type: integer
                    minimum: 0
                  type:
                    type: string
                    minLength: 1
                    maxLength: 100
                  updatedAt:
                    type: string
                    format: date-time
                required:
                  - createdAt
                  - displayName
                  - enabledAt
                  - id
                  - lastSyncedAt
                  - repositoryCount
                  - sourceCount
                  - type
                  - updatedAt
                additionalProperties: false
        '400':
          description: Invalid request or missing organization information.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '401':
          description: Provider authentication failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '403':
          description: The caller cannot perform this operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Integration not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '409':
          description: Integration conflict or unsupported operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Integration operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '502':
          description: Integration provider operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '504':
          description: Integration provider operation timed out
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.